! Norma-1 = norma coloanelor:
Real function Norm1(n, A)
real A(n,n)

Norm1 =0.0

do j =1,n
sum_col =SUM(abs(A(1:n, j)))
!write(1,*) j, sum_col
if(sum_col > Norm1) then
Norm1 =sum_col
endif
enddo

END function Norm1


